Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007976TestLinkGUIpublic2017-06-15 21:042017-06-20 06:24
ReporterMichielV 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformpcOSwindowsOS Version10
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007976: Custom field of type list always displayed expanded in tree filters
DescriptionWhen you create a custom field of type list and assign it to a testcase, the dropdown for the list in the treeview filters will not act as a dropdown, but instead will always be showing the full option list.
Can this be changed to a collapsible list like the other options in the filters?
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.7
BrowserIE11, Chrome
PHP Version7
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026488)
fman (administrator)
2017-06-17 16:55

Now CF list & multilist are managed using jQuery Chosen
(0026489)
fman (administrator)
2017-06-17 16:56

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a5d057c97847d85872680ed4eaf240028e1e7055 [^]
(0026495)
hughkay (reporter)
2017-06-19 06:48
edited on: 2017-06-19 14:00

Hi @fman:
The test case custom field lists are now working fine with the new jQuery Chosen style.
However, custom field lists for requirements are still shown the old-fashioned way (i.e. expanded). Is it possible to make them behave like the custom fields for test cases?
Code changes are quite easy:
Just put the following lines in inc_filter_panel.tpl file between lines 508 and 509:
  <script>
  jQuery( document ).ready(function() {
  jQuery(".chosen-select").chosen({ width: "85%" , allow_single_deselect: true});
  jQuery('select[data-cfield="list"]').chosen({ width: "85%" , allow_single_deselect: true});
  });
  </script>

Thanks!

(0026498)
fman (administrator)
2017-06-19 19:51

it seems I've put the code in the wrong position.
I'm going to check
(0026499)
fman (administrator)
2017-06-19 19:55

Please try this
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/7c1ad79e4bdadbb3cc4c083f716d29616d323076 [^]

and provide feedback
(0026501)
hughkay (reporter)
2017-06-20 06:24

@fman:
Your new commit is working for both, requirements and test cases :-)
Thanks!

- Issue History
Date Modified Username Field Change
2017-06-15 21:04 MichielV New Issue
2017-06-17 16:55 fman QA Team - Task Workflow Status => TBD
2017-06-17 16:55 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-06-17 16:55 fman Note Added: 0026488
2017-06-17 16:56 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-06-17 16:56 fman Note Added: 0026489
2017-06-17 16:56 fman Status new => resolved
2017-06-17 16:56 fman Resolution open => fixed
2017-06-17 16:56 fman Assigned To => fman
2017-06-17 16:56 fman Relationship added child of 0007817
2017-06-19 06:48 hughkay Note Added: 0026495
2017-06-19 14:00 hughkay Note Edited: 0026495 View Revisions
2017-06-19 19:51 fman Note Added: 0026498
2017-06-19 19:55 fman Note Added: 0026499
2017-06-20 06:24 hughkay Note Added: 0026501



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker